from __future__ import division
import roslib; roslib.load_manifest('mrol_mapping')
import rospy

import mrol_mapping.poseutil as poseutil
import mrol_mapping.mrol as mrol
import mrol_mapping.util as util
import mrol_mapping.occupiedlist as occupiedlist
import mrol_mapping.mapper as mapper
import mrol_mapping.pointcloud as pointcloud
import numpy as np
import rosutils_mrol.rosutils_mrol as rosutils
from sensor_msgs.msg import PointCloud2
from thread import allocate_lock
import tf


def PCcallback(msg):
    global xyzs
    global pub
    global i
    i += 1
    xyzs = rosutils.pc22xyzs(msg, max_range=4.)
    xyzs = pointcloud.PointCloud(xyzs)
    xyzs.points[:,:3] = poseutil.transformPointsTuple(xyzs.points[:,:3], [0,0,0,-np.pi/2.,0,-np.pi/2.])
    points = xyzs.points
    #pc = rosutils.xyzs2pc2(points[:,:3], msg.header.stamp, i, frame_id='/world')
    pc = rosutils.xyzs2pc2(points, msg.header.stamp, i, frame_id='/world')
    pub.publish(pc)
    print "done"

global xyzs
global pub
global i
i = 0
pub = rospy.Publisher("/kinect_mrol", PointCloud2)
rospy.init_node('kinect_republish',log_level=rospy.DEBUG )
rospy.Subscriber("/camera/rgb/points", PointCloud2, PCcallback, queue_size=5) 
print "running"
rospy.spin()
