/*
 * Author Hendrik Erckens, Adrian Bonchis and Nick Hillier
 * 
 * Implementation of Redfearn's formula available from:
 * http://www.ga.gov.au/cedda/applications/458 (accessed 6/07/2011)
 * (Not sure how generic this is, or if it's Australia or Southern 
 * Hemisphere only)
 * 
 */
/*
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>. 
 */


#ifndef GPS_CONVERT_H
#define GPS_CONVERT_H


int latlong2eastnorth(double latitude, double longitude, double *easting, double *northing, int *zone);

// Not impletmented
int eastnorth2latlong(int zone, double easting, double northing, double *latitude, double *longitude);

// Not impletmented
int gps2utc(double gpsWeek, double gpsSecIntoWeek, double *utcTimeSec, double *utcTimeNSec);


#endif // GPS_CONVERT_H

